Subject: Re: [Tools-discuss] ABNF tools

From: "Lowell Thomas" <[email-masked]>
Date: Sat, 26 Nov 2005 06:15:17 -0700 (PDT)

on Tue, 28 Jun 2005 10:03:32 +0200 Henrik said the following:
>Hi Wayne,
>
>    Nice tools - I've added them to the tools.ietf.org pages under
>Validation tools.
>
>Thanks!
>
>	Henrik

Henrik,

Thanks for adding APG – an ABNF Parser Generator - to your verification tools page. I just wanted to let you and the readers of this group know about the latest APG release, Version 3.1. It fixes a bug in the recursion analysis and in the process I’ve completely re-written the discussion and the code for doing recursion analysis. In addition to the normal ABNF syntax checking, it now reports on infinite, cyclic, left, right and nested recursive rules as well as identifying empty string acceptors (I've seen some empty string acceptors pop up in RFCs where I'm sure the authors didn't intend for them to be.)

In addition to ABNF grammar checking, APG also generates a recursive-decent parser for the grammar and the recursiveness of the rules is important to know.

Thanks,
Lowell Thomas
http://www.coasttocoastresearch.com/

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-discuss